Option to detect indentation in source editor
Our source editor has default  space indentation, and no easy way to change this. I usually do  spaces depending on the code base. It would be nice to detect the indentation per file.
